This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 564522 - UPX bundles lzma library and must stop
UPX bundles lzma library and must stop
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: upx (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
: 662732 (view as bug list)
Depends On: 596461
Blocks: DuplicSysLibsTracker 662732
  Show dependency treegraph
 
Reported: 2010-02-12 18:49 EST by Toshio Ernie Kuratomi
Modified: 2011-11-30 08:34 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 662732 (view as bug list)
Environment:
Last Closed: 2011-11-30 08:34:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Toshio Ernie Kuratomi 2010-02-12 18:49:06 EST
Description of problem:
the lzma sdk is bundled in our upx package.  This is not allowed and must be stopped.  From the looks of https://bugzilla.redhat.com/show_bug.cgi?id=501636 this change is only to enable lzma compression so if worse comes to worse we can remove the support and still have a usable package.  It would be better to find a solution that lets us unbundle liblzma and still retain the functionality, though.
Comment 1 Toshio Ernie Kuratomi 2010-02-12 18:50:16 EST
More information about the no bundled libraries policy is here:
  https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
Comment 2 Jon Ciesla 2010-02-23 12:54:11 EST
I saw some discussion of lzma-sdk on -devel.  Where are we on this?
Comment 3 Bug Zapper 2010-03-15 10:32:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jon Ciesla 2010-04-28 16:36:32 EDT
Ping?  3.05 is out, and I'd like to put it in rawhide, but I'd like to fix this at the same time. . .
Comment 5 Chen Lei 2010-04-29 04:12:24 EDT
(In reply to comment #4)
> Ping?  3.05 is out, and I'd like to put it in rawhide, but I'd like to fix this
> at the same time. . .    

I can't see any chance to package lzma SDK as share libs. So In my point of view, it's acceptable to use bundled lzma SDK as a workaround until we find a way to package it as a static libs. lzma compression is quite important to upx.

Jon, can upx 3.05 compile with latest lzma SDK(9.12)?
Comment 6 Chen Lei 2010-04-29 04:15:14 EDT
(In reply to comment #4)
> Ping?  3.05 is out, and I'd like to put it in rawhide, but I'd like to fix this
> at the same time. . .    

Also F13 final freeze is coming soon,  I suggest you to push upx 3.05 to F13 update-tesing ASAP.
Comment 7 Jon Ciesla 2010-04-29 09:29:13 EDT
Toshio, what do you think the odds are of FESCO approving an exception?  Would a Review Request for the lzma-SDK help?
Comment 8 Chen Lei 2010-05-10 22:32:31 EDT
(In reply to comment #7)
> Toshio, what do you think the odds are of FESCO approving an exception?  Would
> a Review Request for the lzma-SDK help?    

This guideline may help packaging lzma-sdk as a static library.
https://fedoraproject.org/wiki/User:Ajax/Static_Library_PICness_Guidelines

But bundling lzma-sdk seems harmless and also bundling some code from other project is common in fedora packages even on some critical path packages.
Comment 9 Jon Ciesla 2010-05-11 10:46:18 EDT
I'll make sure to bring that up in the FPC meeting tomorrow.
Comment 10 Jon Ciesla 2010-05-26 15:19:19 EDT
Submitted lzma-sdk review. . .
Comment 11 Thom Carlin 2011-02-19 08:03:50 EST
Jon, any updates on this?
Comment 12 Jon Ciesla 2011-02-22 13:55:27 EST
Awaiting word from Spot re Comment #40 of BZ 596461.
Comment 13 Thom Carlin 2011-03-14 15:36:50 EDT
Has Spot responded yet?
Comment 14 Jon Ciesla 2011-03-14 15:50:06 EDT
Added spot to CC list.
Comment 15 Tom "spot" Callaway 2011-04-05 13:46:20 EDT
Legal issues on BZ 596461 are resolved.
Comment 16 Jon Ciesla 2011-04-05 14:00:55 EDT
*** Bug 662732 has been marked as a duplicate of this bug. ***
Comment 17 Thom Carlin 2011-04-26 07:20:50 EDT
Any progress?
Comment 18 Jon Ciesla 2011-04-27 10:35:29 EDT
Still working on the lzma-sdk review, hoping to finish it up shortly.
Comment 19 Thom Carlin 2011-05-07 11:23:32 EDT
Is there an update?
Comment 20 Jon Ciesla 2011-05-09 14:08:37 EDT
See lzma-sdk review.
Comment 21 Bug Zapper 2011-06-02 12:35:37 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Jon Ciesla 2011-06-02 12:41:20 EDT
Still valid, bumped to rawhide, anyone is welcome to do the review. :)
Comment 23 Thom Carlin 2011-08-16 08:36:02 EDT
In 596461, Jason is set to review once you approve the changes Spot had made.
Comment 24 Thom Carlin 2011-10-01 06:21:47 EDT
Approved by Jon in 596461 - asked Jason to review
Comment 25 Jon Ciesla 2011-11-30 08:34:49 EST
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.